List Connections
curl --request GET \
--url https://api.leen.dev/v1/provisioning/organizations/{organization_id}/connections \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.leen.dev/v1/provisioning/organizations/{organization_id}/connections"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.leen.dev/v1/provisioning/organizations/{organization_id}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"health": {
"description": "<string>",
"name": "HEALTHY",
"resolution_owner": "LEEN",
"status": "HEALTHY",
"details": [
{
"endpoint": "<string>",
"data_export_type": "alerts"
}
]
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refresh_interval_secs": 123,
"state": "PENDING",
"timeout_secs": 123,
"updated_at": "2023-11-07T05:31:56Z",
"vendor": "<string>",
"direction": "SOURCE",
"identifier": "<string>",
"last_token_issued_at": "2023-11-07T05:31:56Z",
"oauth2_authorize_url": "<string>",
"pull_destination_health": "HEALTHY",
"source_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Provisioning
List Connections
List all the connections for a given Organization.
GET
/
provisioning
/
organizations
/
{organization_id}
/
connections
List Connections
Authorizations
Path Parameters
Query Parameters
Required range:
x >= 0Required range:
x >= 0Equality Filter for Connection id
Equality Filter for Connection identifier
Equality Filter for Connection vendor
Available options:
AIKIDO, ARNICA, AWS_ACCESS_ANALYSER, AWS_GUARDDUTY, AWS_INSPECTOR2, AWS_SECURITYHUB, BIT_SIGHT, BLACK_DUCK_COVERITY, BLACK_DUCK_SCA, BLACK_KITE, CHECKMARX, CROWDSTRIKE, CROWDSTRIKE_SPOTLIGHT, GITHUB, GITLAB, HEELER, INSIGHTVM, JIRA, LACEWORK_CSPM, MEND, MS_DEFENDER_CLOUD, MS_DEFENDER_ENDPOINT, MS_DEFENDER_VMS, MS_DEFENDER_VMS_GCC_HIGH, MS_ENTRA, MS_INTUNE, OKTA_IDP, ORCA, PROCESSUNITY, PROOFPOINT_TAP, QUALYS, SECURITY_SCORECARD, SEMGREP, SENTINELONE, SENTINELONE_VMS, SERVICENOW, SERVICENOW_ITSM, SERVICENOW_VR, SNYK, SOCKET, SONARQUBE, TANIUM_VMS, TENABLE, UPWIND, WIZ_CODE, WIZ_CSPM, WIZ_VMS Equality Filter for Connection health status (HEALTHY/UNHEALTHY)
Available options:
HEALTHY, UNHEALTHY, INITIALIZING Example:
"HEALTHY"
Filter Connection by health status name, comma separated
Example:
"UNAUTHORIZED,EXECUTION_TIMEOUT"